import 'package:flutter/material.dart';
import 'package:rasadyar_inspection/presentation/routes/app_routes.dart';
import 'package:rasadyar_core/core.dart';

class AddSupervisionLogic extends GetxController {
  RxInt selectedSegment = 0.obs;
  RxInt violationSegmentsSelected = 0.obs;
  RxInt selectedTypeOfOwnership = 0.obs;
  RxInt selectedUnitType = 0.obs;
  RxList<int> selectedAccompanyingInspectors = RxList<int>([0]);

  Map<String,List<String>> tmpData = {
    'نوع مالکیت': ['دولتی', 'غیر دولتی', 'استیجاری', 'شخصی', 'سایر'],
    'نوع واحد': ['دولتی', 'غیر دولتی', 'استیجاری', 'شخصی', 'سایر'],
    'بازرسان همراه': ['ندارد','دولتی', 'غیر دولتی', 'استیجاری', 'شخصی', 'سایر'],
  };

  List<String> tmpLs = ['دولتی', 'غیر دولتی', 'استیجاری', 'شخصی', 'سایر'];

  // The data for the segments
  final Map<int, Widget> segments = {
    0: Container(
      padding: EdgeInsets.all(10),
      decoration: BoxDecoration(borderRadius: BorderRadius.circular(50)),
      child: Text('دائم', style: AppFonts.yekan13),
    ),
    1: Container(
      padding: EdgeInsets.all(10),
      decoration: BoxDecoration(borderRadius: BorderRadius.circular(50)),
      child: Text('موقت', style: AppFonts.yekan13),
    ),
  };

  // The data for the segments
  final Map<int, Widget> violationSegments = {
    0: Container(
      padding: EdgeInsets.all(10),
      decoration: BoxDecoration(borderRadius: BorderRadius.circular(50)),
      child: Text('دارد', style: AppFonts.yekan13),
    ),
    1: Container(
      padding: EdgeInsets.all(10),
      decoration: BoxDecoration(borderRadius: BorderRadius.circular(50)),
      child: Text('ندارد', style: AppFonts.yekan13),
    ),
  };


List<String> routes = [
  InspectionRoutes.inspectionRegistrationOfViolation,
  InspectionRoutes.inspectionDisplayInformation
];



  @override
  void onReady() {

    super.onReady();


  }

  @override
  void onClose() {
    // TODO: implement onClose
    super.onClose();
  }
}
